MorphosyntacticTagsAttributeImpl (Lucene 10.5.1 morfologik API)
Description: declaration: package: org.apache.lucene.analysis.morfologik, class: MorphosyntacticTagsAttributeImpl

Package org.apache.lucene.analysis.morfologik

# Class MorphosyntacticTagsAttributeImpl

java.lang.Object
org.apache.lucene.util.AttributeImpl
org.apache.lucene.analysis.morfologik.MorphosyntacticTagsAttributeImpl

All Implemented Interfaces:
  `Cloneable`, `MorphosyntacticTagsAttribute`, `Attribute`

public class MorphosyntacticTagsAttributeImpl extends AttributeImpl implements MorphosyntacticTagsAttribute
Morphosyntactic annotations for surface forms.

See Also:
  - `MorphosyntacticTagsAttribute`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MorphosyntacticTagsAttributeImpl()`
  Initializes this attribute with no tags

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Clear to default value.
  `MorphosyntacticTagsAttributeImpl`
  `clone()`
  `void`
  `copyTo(AttributeImpl target)`
  `boolean`
  `equals(Object other)`
  `List<StringBuilder>`
  `getTags()`
  Returns the POS tag of the term.
  `int`
  `hashCode()`
  `void`
  `reflectWith(AttributeReflector reflector)`
  `void`
  `setTags(List<StringBuilder> tags)`
  Sets the internal tags reference to the given list.

  ### Methods inherited from class org.apache.lucene.util.AttributeImpl

  `end, reflectAsString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### MorphosyntacticTagsAttributeImpl

    public MorphosyntacticTagsAttributeImpl()
    Initializes this attribute with no tags

- ## Method Details

  - ### getTags

    public List<StringBuilder> getTags()
    Returns the POS tag of the term. If you need a copy of this char sequence, copy its contents (and clone `StringBuilder`s) because it changes with each new term to avoid unnecessary memory allocations.
    Specified by:
      `getTags` in interface `MorphosyntacticTagsAttribute`

  - ### clear

    public void clear()
    Description copied from interface: `MorphosyntacticTagsAttribute`
    Clear to default value.
    Specified by:
      `clear` in interface `MorphosyntacticTagsAttribute`
    Specified by:
      `clear` in class `AttributeImpl`

  - ### equals

    public boolean equals(Object other)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### setTags

    public void setTags(List<StringBuilder> tags)
    Sets the internal tags reference to the given list. The contents is not copied.
    Specified by:
      `setTags` in interface `MorphosyntacticTagsAttribute`
    Parameters:
      `tags` - A list of POS tags corresponding to current lemma.

  - ### copyTo

    public void copyTo(AttributeImpl target)
    Specified by:
      `copyTo` in class `AttributeImpl`

  - ### clone

    public MorphosyntacticTagsAttributeImpl clone()
    Overrides:
      `clone` in class `AttributeImpl`

  - ### reflectWith

    public void reflectWith(AttributeReflector reflector)
    Specified by:
      `reflectWith` in class `AttributeImpl`